## LATEST-IS-0.4.3

=== Makefile ===
# dogtail *development* Makefile

all:
	exit 1

clean:
	python setup.py clean
	rm -f MANIFEST
	rm -rf build dist
	
	find . -name '*.pyc' -exec rm {} \;

# Dollar signs must be escaped with dollar signs in variables.
export camelCAPS='[a-z_][a-zA-Z0-9_]*$$'
export StudlyCaps='[a-zA-Z_][a-zA-Z0-9_]*$$'

check:
	pylint --indent-string="	" --class-rgx=${StudlyCaps} --function-rgx=${camelCAPS} --method-rgx=${camelCAPS} --variable-rgx=${camelCAPS} --argument-rgx=${camelCaps} dogtail sniff/sniff examples/*.py

tarball: clean
	python setup.py sdist

rpm: tarball
ifneq ($(id -u),0)
	echo "Attempting to use sudo to build the RPM..."
	sudo rpmbuild -ta dist/dogtail-*.tar.gz
else
	rpmbuild -ta dist/dogtail-*.tar.gz
endif

deb:
	fakeroot debian/rules clean
	dpkg-buildpackage -rfakeroot -us -uc

apidocs:
	rm -rf website/doc/*
	#find website/doc -not -type d -not -regex '.*/\.svn/.*' -exec rm {} \;
	happydoc -d website/doc/ -t "Documentation" dogtail && \
	mv website/doc/dogtail/* website/doc/ && \
	rm -rf website/doc/dogtail/

=== debian/changelog ===
dogtail (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Zack Cerza <zcerza@coe.neu.edu>  Mon, 24 Oct 2005 02:32:14 -0400

dogtail (0.4.2-3) unstable; urgency=low

  * Correct website URL.

 -- Zack Cerza <zcerza@coe.neu.edu>  Wed, 19 Oct 2005 19:16:14 -0400

dogtail (0.4.2-2) unstable; urgency=low

  * Add Recommends for xvfb. 

 -- Zack Cerza <zcerza@coe.neu.edu>  Tue, 11 Oct 2005 16:59:04 -0400

dogtail (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Zack Cerza <zcerza@coe.neu.edu>  Thu,  6 Oct 2005 23:25:03 -0400

dogtail (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Zack Cerza <zcerza@coe.neu.edu>  Thu,  6 Oct 2005 17:23:03 -0400

dogtail (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Zack Cerza <zcerza@coe.neu.edu>  Thu,  6 Oct 2005 16:54:16 -0400

dogtail (0.0.1.90-1) unstable; urgency=low

  * Initial Release

 -- Zack Cerza <zcerza@coe.neu.edu>  Sun, 10 Jul 2006 22:40:36 -0400

=== debian/control ===
Source: dogtail
Section: misc
Priority: optional
Maintainer: Zack Cerza <zcerza@coe.neu.edu>
Build-Depends: debhelper (>=4.2.0, cdbs
Standards-Version: 3.6.1.1

Package: python-dogtail
Architecture: all
Depends: python-at-spi
Recommends: imagemagick, python-celementtree | python-elementtree, python-apt, xvfb
Description: Automated desktop testing framework
 Insert better long description here
